Foxit PDF SDK

Public Member Functions | List of all members
FSDK.CombineDocumentInfo Class Reference

## Public Member Functions
| CombineDocumentInfo (doc)
| Constructor, with parameters. More...
| constructor (file_path, password)
| Constructor, with parameters. More...
| IsEmpty ()
| Check whether current object is empty or not. More...
| SetBookmarkTitle (bookmark_title)
| Set the title of a new parent bookmark for the root bookmark of related source PDF document in combined result file. More...
| SetPDFFileName (pdf_file_name)
| Set the name of the PDF file, which will be combined with other PDF files. More...

## Detailed Description

This class represents information of source PDF file which is to be combined with other PDF files.

## Constructor & Destructor Documentation

## ◆ CombineDocumentInfo()

FSDK.CombineDocumentInfo.CombineDocumentInfo | ( | doc |  | ) |

Constructor, with parameters.

This constructor does not check the validity of input PDF file and the check will be done in function FSDK.Combination.StartCombineDocuments.

Parameters

  [in] | doc | A valid PDF document object which represents a PDF file to be combined with other PDF files. Please ensure input PDF document object have been loaded; otherwise unknown error may occur later when current information object is used.

## Member Function Documentation

## ◆ constructor()

FSDK.CombineDocumentInfo.constructor | ( | file_path | ,
|  | password |
| ) |  |

Constructor, with parameters.

This constructor does not check the validity of input PDF file and the check will be done in function FSDK.Combination.StartCombineDocuments.

Parameters

  [in] | file_path | File path of a PDF file, which is to be combined with other PDF files.
  [in] | password | Owner password of PDF file which is specified by parameter file_path.

## ◆ IsEmpty()

FSDK.CombineDocumentInfo.IsEmpty | ( |  | ) |

Check whether current object is empty or not.

When the current object is empty, that means current object is useless.

Returns
  true means current object is empty, while false means not.

## ◆ SetBookmarkTitle()

FSDK.CombineDocumentInfo.SetBookmarkTitle | ( | bookmark_title |  | ) |

Set the title of a new parent bookmark for the root bookmark of related source PDF document in combined result file.

This function is to set the bookmark title for a new bookmark in combined result file, if option value FSDK.Combination.e_CombineDocsOptionBookmark is used for combination and related source PDF file has any bookmark. The new bookmark will be used as a parent bookmark and root bookmark of related source PDF doucment will be inserted to be the child node of the new parent bookmark in combined result PDF file.
If no bookmark title is set or an empty title is set, GSDK will generate a bookmark title automatically during combination process which is started by function FSDK.Combination.StartCombineDocuments.

Parameters

  [in] | bookmark_title | Title of a new parent bookmark which is used in combined result PDF file.

Returns
  None.

## ◆ SetPDFFileName()

FSDK.CombineDocumentInfo.SetPDFFileName | ( | pdf_file_name |  | ) |

Set the name of the PDF file, which will be combined with other PDF files.

This function is invalid if the constructor FSDK.CombineDocumentInfo.CombineDocumentInfo with a file path parameter is called. If option value FSDK.Combination.e_CombineDocsOptionOCProperties is used for combination and the PDF file to be combined has multiple layers, then the PDF file name to be set will be shown on the root node of the combined PDF file's layers.

Parameters

  [in] | pdf_file_name | The name of the PDF file, which will be combined with other PDF files.

Returns
  None.